trust-store: core::trust::dbus Namespace Reference

trust-store 2.0.0 Provides a common implementation of a trust store to be used by trusted helpers.

Functions
core::trust::dbus Namespace Reference

## Functions
CORE_TRUST_DLL_PUBLIC std::shared_ptr< core::trust::Agent > | create_per_user_agent_for_bus_connection (const std::shared_ptr< core::dbus::Bus > &connection, const std::string &service_name)
| create_per_user_agent_for_bus_connection creates a trust::Agent implementation communicating with a remote agent implementation living in the same user session. More...
CORE_TRUST_DLL_PUBLIC std::shared_ptr< core::trust::Agent > | create_multi_user_agent_for_bus_connection (const std::shared_ptr< core::dbus::Bus > &connection, const std::string &service_name)
| create_multi_user_agent_for_bus_connection creates a trust::Agent implementation communicating with user-specific remote agent implementations, living in user sessions. More...

## Function Documentation

## ◆ create_multi_user_agent_for_bus_connection()

CORE_TRUST_DLL_PUBLIC std::shared_ptr<core::trust::Agent> core::trust::dbus::create_multi_user_agent_for_bus_connection | ( | const std::shared_ptr< core::dbus::Bus > & | connection,
|  | const std::string & | service_name
| ) |  |

create_multi_user_agent_for_bus_connection creates a trust::Agent implementation communicating with user-specific remote agent implementations, living in user sessions.

Parameters

  connection | An existing DBus connection.
  service_name | The name of the service we are operating for.

Exceptions

  std::runtime_error | in case of issues.

## ◆ create_per_user_agent_for_bus_connection()

CORE_TRUST_DLL_PUBLIC std::shared_ptr<core::trust::Agent> core::trust::dbus::create_per_user_agent_for_bus_connection | ( | const std::shared_ptr< core::dbus::Bus > & | connection,
|  | const std::string & | service_name
| ) |  |

create_per_user_agent_for_bus_connection creates a trust::Agent implementation communicating with a remote agent implementation living in the same user session.

Parameters

  connection | An existing DBus connection.
  service_name | The name of the service we are operating for.

Exceptions

  std::runtime_error | in case of issues.